  
    <p>&nbsp;</p>
    <table class="table table-hover table-condensed">
        <tr>           
            <th>Id</th>      
            <th>User</th>
            <th>Date</th>
            <th>Opération</th>
            <th>Table</th>
            <th>Modifications</th>
        </tr>

        {% for H in History %}
            <tr>
                <td>{{ H.x99_t_track_historytables_id }}</td>
                <td>{{ H.user }}</td>
                <td>{{ H.change_date }}</td>
                <td>{{ H.change_op }}</td>
                <td>{{ H.schema_name }}.{{ H.table_name }}</td>
                <td>    
                    {% if H.old_row_decode is not null and H.new_row_decode is null %}
                        {%  for key,h in H.old_row_decode %}
                            {% if key not in ['date_modification','id_track_historiquetables'] %}
                                    <strike>
                                    {%  if  h is iterable  %}{{  key }} : [Array]<br>
                                    {% else %}
                                        {{ key }} : {{ h|raw }}<br>
                                    {%  endif %}  
                                    </strike>                              
                            {%  endif %}
                        {%  endfor %}

                    {% else %}               
                        {%  for key,h in H.new_row_decode %}
                            {% if key not in ['date_modification','id_track_historiquetables'] %}
                                {% set oldv = H.old_row_decode[key]|default(null) %}
                                {% if  oldv != h %}
                                    {%  if  oldv is iterable  or h is iterable  %}{{  key }} : [Array]<br>
                                    {% else %}
                                        {{ key }} : {{ oldv|default('Ø') }} => {{ h|raw }}<br>
                                    {%  endif %}
                                {%  endif %}
                            {%  endif %}
                        {%  endfor %}
                    {% endif %}
                </td>
            </tr>
        {% endfor %}
    </table>